/* WaveformController */

#import <Cocoa/Cocoa.h>
//#include <CoreAudio/CoreAudioTypes.h>

#define WFCLENGTH 1024

@class WaveformChecker, WaveformView;

@interface WaveformController : NSObject
{
    IBOutlet NSView *view;
    IBOutlet WaveformChecker *waveformChecker;
    IBOutlet NSSlider *factor;
    IBOutlet NSSlider *position;
    IBOutlet WaveformView *waveformView;
    IBOutlet NSTextField *configField;

    NSMutableArray *waveformViewControllers;

    Float32 waveform[WFCLENGTH];
    Float32 tempwaveform[WFCLENGTH];
}

- (IBAction)save:(id)sender;
@end
